%define         srcname      wmSMPmon
%define         srcdir       %srcname
%define         engdocfiles  COPYING Changelog

Name:           wmsmpmon
Version:        3.1
Release:        %mkrel 6
Summary:        Another dock application to monitor multi-core systems
License:        GPLv2
Group:          Monitoring

URL:            http://www.ribbrock.org/binabit/wmSMPmon/
Source0:        http://www.ribbrock.org/binabit/wmSMPmon/src/%{srcname}-%{version}.tar.gz


BuildRequires:  libxcb-devel
BuildRequires:  libx11-devel
BuildRequires:  libxau-devel
BuildRequires:  libxdmcp-devel
BuildRequires:  libxext-devel
BuildRequires:  libxpm-devel


%description
Wmsmpmon is yet another docked monitor for WindowMaker, or any desktop
environment that handles docking. It displays some system information
as CPU utilization, memory and swap usage.


%prep
%setup -q -n %srcname-%{version}


%build
cd %srcdir
%make CFLAGS="%optflags" \
      LIB="%ldflags -lX11 -lXext -lXpm -lm"


%install
chmod 644 %engdocfiles
install -D -m 755 %srcdir/%{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %srcdir/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc %engdocfiles
%{_bindir}/%{name}
%{_mandir}/man1/*.1*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 3.1-6.mga5
+ Revision: 746415
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-5.mga5
+ Revision: 690349
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.1-4.mga4
+ Revision: 520243
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.1-3.mga3
+ Revision: 385780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 3.1-2.mga3
+ Revision: 314686
- Rebuild for mga3

* Sun Jan 22 2012 eatdirt <eatdirt> 3.1-1.mga2
+ Revision: 199738
- imported package wmsmpmon


* Sun Jan 22 2011 Chris Ringeval <dirteat@gmail.com> 3.1-1.mga2
- Import wmsmpmon


